MyGUI: MyGUI::ResourceTrueTypeFont Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceTrueTypeFont Class Reference

`#include <MyGUI_ResourceTrueTypeFont.h>`

Inheritance diagram for MyGUI::ResourceTrueTypeFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceTrueTypeFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ResourceTrueTypeFont ()
virtual | ~ResourceTrueTypeFont ()
virtual void | deserialization (xml::ElementPtr _node, Version _version)
virtual GlyphInfo * | getGlyphInfo (Char _id)
virtual ITexture * | getTextureFont ()
virtual int | getDefaultHeight ()
std::vector< std::pair< Char, Char > > | getCodePointRanges () const
Char | getSubstituteCodePoint () const
void | initialise ()
void | setSource (const std::string &_value)
void | setSize (float _value)
void | setResolution (uint _value)
void | setHinting (const std::string &_value)
void | setAntialias (bool _value)
void | setTabWidth (float _value)
void | setOffsetHeight (int _value)
void | setSubstituteCode (int _value)
void | setDistance (int _value)
void | addCodePointRange (Char _first, Char _second)
void | removeCodePointRange (Char _first, Char _second)
Public Member Functions inherited from MyGUI::IFont
template<typename Type >
bool | isType () const
| IFont ()
virtual | ~IFont ()
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()
virtual | ~IResource ()
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 22 of file MyGUI_ResourceTrueTypeFont.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceTrueTypeFont::Base

Definition at line 25 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ RTTIBase

typedef ResourceTrueTypeFont MyGUI::ResourceTrueTypeFont::RTTIBase

Definition at line 25 of file MyGUI_ResourceTrueTypeFont.h.

## Constructor & Destructor Documentation

## ◆ ResourceTrueTypeFont()

MyGUI::ResourceTrueTypeFont::ResourceTrueTypeFont | ( |  | ) |

Definition at line 46 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ ~ResourceTrueTypeFont()

MyGUI::ResourceTrueTypeFont::~ResourceTrueTypeFont | ( |  | ) |
| virtual

Definition at line 50 of file MyGUI_ResourceTrueTypeFont.cpp.

## Member Function Documentation

## ◆ addCodePointRange()

void MyGUI::ResourceTrueTypeFont::addCodePointRange | ( | Char | _first,
|  | Char | _second
| ) |  |

Definition at line 125 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ deserialization()

void MyGUI::ResourceTrueTypeFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version
| ) |  |
| virtual

Reimplemented from MyGUI::IResource.

Definition at line 54 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ResourceTrueTypeFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 25 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ getCodePointRanges()

std::vector< std::pair< Char, Char > > MyGUI::ResourceTrueTypeFont::getCodePointRanges | ( |  | ) | const

Definition at line 75 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getDefaultHeight()

int MyGUI::ResourceTrueTypeFont::getDefaultHeight | ( |  | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 70 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getGlyphInfo()

GlyphInfo * MyGUI::ResourceTrueTypeFont::getGlyphInfo | ( | Char | _id | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 60 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getSubstituteCodePoint()

Char MyGUI::ResourceTrueTypeFont::getSubstituteCodePoint | ( |  | ) | const

Definition at line 80 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getTextureFont()

ITexture * MyGUI::ResourceTrueTypeFont::getTextureFont | ( |  | ) |
| virtual

Implements MyGUI::IFont.

Definition at line 65 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ getTypeName()

virtual const std::string& MyGUI::ResourceTrueTypeFont::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 25 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ initialise()

void MyGUI::ResourceTrueTypeFont::initialise | ( |  | ) |

Definition at line 85 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceTrueTypeFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 25 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceTrueTypeFont::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 25 of file MyGUI_ResourceTrueTypeFont.h.

## ◆ removeCodePointRange()

void MyGUI::ResourceTrueTypeFont::removeCodePointRange | ( | Char | _first,
|  | Char | _second
| ) |  |

Definition at line 129 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setAntialias()

void MyGUI::ResourceTrueTypeFont::setAntialias | ( | bool | _value | ) |

Definition at line 105 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setDistance()

void MyGUI::ResourceTrueTypeFont::setDistance | ( | int | _value | ) |

Definition at line 121 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setHinting()

void MyGUI::ResourceTrueTypeFont::setHinting | ( | const std::string & | _value | ) |

Definition at line 101 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setOffsetHeight()

void MyGUI::ResourceTrueTypeFont::setOffsetHeight | ( | int | _value | ) |

Definition at line 113 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setResolution()

void MyGUI::ResourceTrueTypeFont::setResolution | ( | uint | _value | ) |

Definition at line 97 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setSize()

void MyGUI::ResourceTrueTypeFont::setSize | ( | float | _value | ) |

Definition at line 93 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setSource()

void MyGUI::ResourceTrueTypeFont::setSource | ( | const std::string & | _value | ) |

Definition at line 89 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setSubstituteCode()

void MyGUI::ResourceTrueTypeFont::setSubstituteCode | ( | int | _value | ) |

Definition at line 117 of file MyGUI_ResourceTrueTypeFont.cpp.

## ◆ setTabWidth()

void MyGUI::ResourceTrueTypeFont::setTabWidth | ( | float | _value | ) |

Definition at line 109 of file MyGUI_ResourceTrueTypeFont.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceTrueTypeFont.h
- MyGUI_ResourceTrueTypeFont.cpp